pkgname=tllist
pkgver=1.0.4
pkgrel=1
pkgdesc="A C header file only implementation of a typed linked list"
arch=('x86_64')
url=https://codeberg.org/dnkl/tllist
license=('mit')
makedepends=('meson' 'ninja')
depends=()
source=("$pkgname-$pkgver.tar.gz::https://codeberg.org/dnkl/$pkgname/archive/$pkgver.tar.gz")
sha512sums=('c4c923c090dc5a7e5e26786e9ecd8e3c6f25b8852c689b94ce37dc9d7fefeec002f2b82faace66fb7b6ac18126e42386aa2e03b20ad9271eb4442864684cb54f')

build() {
    mkdir build
    cd build
    meson --prefix=/usr --buildtype=release ../"$pkgname"
    ninja
}

package() {
    cd build
    DESTDIR="${pkgdir}/" ninja install
}
